Name:           splat
Version:        1.2.3
Release:        7%{?dist}

Provides:       splat-utils = %{version}-%{release}
Obsoletes:      splat-utils < 1.2.3-2

Summary:        Analyze point-to-point terrestrial RF communication links

Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.qsl.net/kd2bd/splat.html
Source0:        http://www.qsl.net/kd2bd/%{name}-%{version}.tar.bz2
#man pages for utilities, generated from utils README file
Source1:        citydecoder.man
Source2:        srtm2sdf.man
Source3:        usgs2sdf.man
Source4:        bearing.man
Source5:        postdownload.man
Patch0:		splat-1.2.3-optflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bzip2-devel
BuildRequires:  groff
BuildRequires:	desktop-file-utils
#Requires:       

%description
SPLAT! is a Surface Path Length And Terrain analysis application written for
Linux and Unix workstations. SPLAT! analyzes point-to-point terrestrial RF 
communication links, and provides information useful to communication system
designers and site engineers.

%prep
%setup -q
%patch0 -p1 -b .ppc

#fix end of line encoding
%{__sed} -i 's/\r//' utils/fips.txt

%build
#uses custom build scripts
./build all

#build additional man pages
groff -e -T ascii -man %{SOURCE1} > $RPM_BUILD_DIR/%{name}-%{version}/utils/citydecoder.1
groff -e -T ascii -man %{SOURCE2} > $RPM_BUILD_DIR/%{name}-%{version}/utils/srtm2sdf.1
groff -e -T ascii -man %{SOURCE3} > $RPM_BUILD_DIR/%{name}-%{version}/utils/usgs2sdf.1
groff -e -T ascii -man %{SOURCE4} > $RPM_BUILD_DIR/%{name}-%{version}/utils/bearing.1
groff -e -T ascii -man %{SOURCE5} > $RPM_BUILD_DIR/%{name}-%{version}/utils/postdownload.1

%install
rm -rf $RPM_BUILD_ROOT
#manual install, easier than patching upstream custom install script
install -D -m 0755 splat $RPM_BUILD_ROOT%{_bindir}/splat
install -D -m 0644 docs/english/man/splat.1 $RPM_BUILD_ROOT%{_mandir}/man1/splat.1
install -D -m 0644 docs/spanish/man/splat.1 $RPM_BUILD_ROOT%{_mandir}/es/man1/splat.1
#utils
install -D -m 0755 utils/citydecoder $RPM_BUILD_ROOT%{_bindir}/citydecoder
install -D -m 0755 utils/bearing $RPM_BUILD_ROOT%{_bindir}/bearing
install -D -m 0755 utils/postdownload $RPM_BUILD_ROOT%{_bindir}/postdownload
install -D -m 0755 utils/usgs2sdf $RPM_BUILD_ROOT%{_bindir}/usgs2sdf
install -D -m 0755 utils/srtm2sdf $RPM_BUILD_ROOT%{_bindir}/srtm2sdf
#additional man pages
install -D -m 0644 utils/citydecoder.1 $RPM_BUILD_ROOT%{_mandir}/man1/citydecoder.1
install -D -m 0644 utils/bearing.1 $RPM_BUILD_ROOT%{_mandir}/man1/bearing.1
install -D -m 0644 utils/postdownload.1 $RPM_BUILD_ROOT%{_mandir}/man1/postdownload.1
install -D -m 0644 utils/srtm2sdf.1 $RPM_BUILD_ROOT%{_mandir}/man1/srtm2sdf.1
install -D -m 0644 utils/usgs2sdf.1 $RPM_BUILD_ROOT%{_mandir}/man1/usgs2sdf.1

#rename this to avoid conflict with main readme
mv utils/README utils/README-utils

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES COPYING README utils/README-utils utils/fips.txt
%doc sample_data
%{_bindir}/*
%{_mandir}/es/man?/splat*
%{_mandir}/man?/*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May  8 2009 Randall J. Berry <dp67@fedoraproject.org> - 1.2.3-6
- Update CVS
- Build with $RPM_OPT_FLAGS.
- Submit update fix bug #736499

* Thu May  7 2009 Ville Skyttä <ville.skytta at iki.fi> - 1.2.3-5
- Build with $RPM_OPT_FLAGS.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 26 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 1.2.3-3
- fix broken obsoletes

* Sun Dec 22 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 1.2.3-2
- Merge main and -utils package, #475009

* Wed Jul 30 2008 Steve Conklin <fedora@conklinhouse.com> - 1.2.3-1
- New upstream
- added delivery of postdownload script and the new bearing utility
- added man pages for bearing and postdownload
* Thu Feb 28 2008 Steve Conklin <sconklin at redhat dot com> - 1.2.1-6
- Silly, there's no gui. Removed desktop and icon files.
* Thu Feb 28 2008 Steve Conklin <sconklin at redhat dot com> - 1.2.1-5
- installed desktop and icon files with main package, not utils

* Tue Feb 26 2008 Steve Conklin <sconklin at redhat dot com> - 1.2.1-4
- removed erroneous -march flag for ppc

* Mon Feb 25 2008 Steve Conklin <sconklin at redhat dot com> - 1.2.1-3
- Fixed declaration that the new gcc didn't like

* Tue Feb 19 2008 Steve Conklin <sconklin at redhat dot com> - 1.2.1-2
- Added desktop file and icon

* Sun Dec 09 2007 Sindre Pedersen Bjørdal - 1.2.1-1
- Initial Build
